Mail archive
alpine-aports

[alpine-aports] [PATCH 6/9] testing/opencl-icd-loader: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sun, 24 Apr 2016 23:23:06 +0000

---
 testing/opencl-icd-loader/APKBUILD | 41 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/opencl-icd-loader/APKBUILD
diff --git a/testing/opencl-icd-loader/APKBUILD b/testing/opencl-icd-loader/APKBUILD
new file mode 100644
index 0000000..dbf14c2
--- /dev/null
+++ b/testing/opencl-icd-loader/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=opencl-icd-loader
+_pkgreal=ocl-icd
+pkgver=2.2.9
+pkgrel=0
+pkgdesc="Generic OpenCL ICD Loader"
+url="https://forge.imag.fr/projects/ocl-icd/"
+arch="all"
+license="custom"
+depends=""
+depends_dev="$pkgname"
+makedepends="$depends_dev ruby"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://forge.imag.fr/frs/download.php/716/$_pkgreal-$pkgver.tar.gz"
+
+builddir="$srcdir"/$_pkgreal-$pkgver
+build() {
+	cd "$builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	# tests
+	#tests/testsuite || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	install -D -m644 COPYING "$pkgdir"/usr/share/doc/ocl-icd/LICENSE
+}
+
+md5sums="7dab1a9531ea79c19a414a9ee229504e  opencl-icd-loader-2.2.9.tar.gz"
+sha256sums="0c8ac13e2c5b737c34de49f9aca6cad3c4d33dd0bbb149b01238d76e798feae5  opencl-icd-loader-2.2.9.tar.gz"
+sha512sums="d0b1531812feb493bdc27fd4a141796c2ecd14efd79cfa00af47c7c6edc1a7b323cd2d3b7254117a1cfa1c55e24494f662034041a0976b6ee5a6154626eb2d65  opencl-icd-loader-2.2.9.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Apr 24 2016 - 23:23:06 GMT